Loading...
Searching...
No Matches
apr_cstr.h File Reference

C string goodies. More...

`#include <apr.h>`
`#include <apr_pools.h>`
`#include <apr_tables.h>`
Include dependency graph for apr_cstr.h:

Go to the source code of this file.

## Functions

apr_array_header_t * | apr_cstr_split (const char *input, const char *sep_chars, int chop_whitespace, apr_pool_t *pool)
void | apr_cstr_split_append (apr_array_header_t *array, const char *input, const char *sep_chars, int chop_whitespace, apr_pool_t *pool)
int | apr_cstr_match_glob_list (const char *str, const apr_array_header_t *list)
int | apr_cstr_match_list (const char *str, const apr_array_header_t *list)
char * | apr_cstr_tokenize (const char *sep, char **str)
int | apr_cstr_count_newlines (const char *msg)
int | apr_cstr_casecmp (const char *str1, const char *str2)
int | apr_cstr_casecmpn (const char *str1, const char *str2, apr_size_t n)
apr_status_t | apr_cstr_strtoi64 (apr_int64_t *n, const char *str, apr_int64_t minval, apr_int64_t maxval, int base)
apr_status_t | apr_cstr_atoi64 (apr_int64_t *n, const char *str)
apr_status_t | apr_cstr_atoi (int *n, const char *str)
apr_status_t | apr_cstr_strtoui64 (apr_uint64_t *n, const char *str, apr_uint64_t minval, apr_uint64_t maxval, int base)
apr_status_t | apr_cstr_atoui64 (apr_uint64_t *n, const char *str)
apr_status_t | apr_cstr_atoui (unsigned int *n, const char *str)
const char * | apr_cstr_skip_prefix (const char *str, const char *prefix)

## Detailed Description

C string goodies.